// Use Stringify
const tostringify = require('../kit/tostringify');

module.exports = (webpackConfigure, options) => {
  // Injection
  webpackConfigure.plugin('define').tap(
    // Definitions
    definitions => {
      // Extension in Vue Life
      definitions[0] = Object.assign(definitions[0], tostringify(webpackConfigure.define));

      // Return
      return definitions;
    },
  );
};
